<?php
/**
* The template for displaying full-width post.
*
* @package HotWP WordPress Theme
* @copyright Copyright (C) 2019 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*
* Template Name: Full Width, no sidebar
* Template Post Type: post
*/

get_header(); ?>

<div class="hotwp-main-wrapper clearfix" id="hotwp-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="hotwp-main-wrapper-inside clearfix">

<?php hotwp_top_widgets(); ?>

<div class="hotwp-posts-wrapper" id="hotwp-posts-wrapper">

<?php while (have_posts()) : the_post(); ?>

    <?php get_template_part( 'template-parts/content', 'singlefull' ); ?>

    <?php the_post_navigation(array('prev_text' => esc_html__( '&larr; %title', 'hotwp' ), 'next_text' => esc_html__( '%title &rarr;', 'hotwp' ))); ?>

    <?php
    // If comments are open or we have at least one comment, load up the comment template
    if ( comments_open() || get_comments_number() ) :
            comments_template();
    endif;
    ?>

<?php endwhile; ?>
<div class="clear"></div>

</div><!--/#hotwp-posts-wrapper -->

<?php hotwp_bottom_widgets(); ?>

</div>
</div>
</div><!-- /#hotwp-main-wrapper -->

<?php get_footer(); ?>